<?php namespace EscapeWork\Manager\Seeders;

use Illuminate\Database\Seeder;
use Carbon\Carbon;
use EscapeWork\Manager\Models\Role;

class ManagerSeeder extends Seeder
{

    public function run()
    {
        if (! Role::find(1)) {
            Role::create([
                'id'              => 1,
                'title'           => 'NSA',
                'all_permissions' => 1,
                'admin'           => 1,
                'created_at'      => Carbon::now(),
                'updated_at'      => Carbon::now(),
            ]);
        }

        if (! Role::find(2)) {
            Role::create([
                'id'              => 2,
                'title'           => 'Administrador',
                'all_permissions' => 1,
                'admin'           => 0,
                'created_at'      => Carbon::now(),
                'updated_at'      => Carbon::now(),
            ]);
        }
    }
}
