<ul class="nav navbar-nav navbar-right">
    @if (! EscapeWork\Manager\Facades\ManagerAuth::guest())
        <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                {{ EscapeWork\Manager\Facades\ManagerAuth::user()->name }} <span class="caret"></span>
            </a>

            <ul class="dropdown-menu" role="menu">
                <li>
                    <a tabindex="-1" href="{{ route('manager.users.passwod.index') }}">
                        <span class="glyphicon glyphicon-lock"></span> {{{ trans('manager::master.menu.update-password') }}}
                    </a>
                </li>

                @if (config('manager.permissions.on'))

                    @if (can('users'))
                    <li>
                        <a tabindex="-1" href="{{ route('manager.users.index') }}">
                            <span class="glyphicon glyphicon-user"></span> {{{ trans('manager::master.menu.users') }}}
                        </a>
                    </li>
                    @endif

                    @if (can('roles'))
                    <li>
                        <a tabindex="-1" href="{{ route('manager.roles.index') }}">
                            <span class="glyphicon glyphicon-book"></span> {{ trans('manager::master.menu.roles') }}
                        </a>
                    </li>
                    @endif
                @else
                    <li>
                        <a tabindex="-1" href="{{ route('manager.users.index') }}">
                            <span class="glyphicon glyphicon-user"></span> {{{ trans('manager::master.menu.users') }}}
                        </a>
                    </li>

                    <li>
                        <a tabindex="-1" href="{{ route('manager.roles.index') }}">
                            <span class="glyphicon glyphicon-book"></span> {{ trans('manager::master.menu.roles') }}
                        </a>
                    </li>
                @endif

                @if (Check::isAdmin())
                    <li class="divider"></li>

                    <li>
                        <a href="{{ route('manager.logs.index') }}" target="_blank">
                            <span class="glyphicon glyphicon-file"></span> Logs
                        </a>
                    </li>
                @endif

                <li class="divider"></li>

                <li>
                    <a href="{{ route('manager.auth.logout') }}">
                        <span class="glyphicon glyphicon-off"></span> {{ trans('manager::master.menu.exit')}}
                    </a>
                </li>
            </ul>
        </li>
    @endif
</ul>
