@extends('manager::layouts.master')

@section('content')
    @include('manager::partials.breadcrumb', ['pages' => [route('manager.users.index') => trans('manager::users.title'), trans('manager::users.create.title')]])

    @include('manager::partials.page-header', [
        'title'    => trans('manager::users.title'),
        'subtitle' => trans('manager::users.create.title'),
        'link'     => ['route' => route('manager.users.index'), 'label' => trans('manager::users.btn.cancel') ]
    ])

    @include('manager::partials.messages')

    {!! Form::open(['url' => route('manager.users.store'), 'class' => 'form-horizontal', 'id' => 'form-user']) !!}
        @include('manager::users.form')
    {!! Form::close() !!}
@stop
