<?php namespace EscapeWork\Manager\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use EscapeWork\Manager\Events\UserWasRegistered;
use EscapeWork\Manager\Handlers\Events\SendUserPassword;

class EventServiceProvider extends ServiceProvider
{

    protected $listen = [
        UserWasRegistered::class => [ SendUserPassword::class, ],
    ];

}
