<?php namespace EscapeWork\Manager\Providers;

use Request, Response, Redirect;
use Illuminate\Support\ServiceProvider;

class ResponseServiceProvider extends ServiceProvider
{

    public function register()
    {

    }

    /**
     * Perform post-registration booting of services.
     *
     * @return void
     */
    public function boot()
    {
        Response::macro('manager', function($data)
        {
            if (Request::ajax() || Request::isJson()) {
                return Response::json((array) $data);
            }

            return Redirect::to($data['route'])->with($data);
        });
    }
}
